k8s_version: v1.26.9+rke2r1
cluster_virtual_ip: 1.1.1.1

cis_profile: "cis"
air_gapped: false
capi_providers:
  infra_provider: capm3
  bootstrap_provider: cabpr
control_plane_replicas: 1

control_plane:
  capm3:
    provisioning_pool_interface: ens3
    primary_pool_interface: ens4
    hostSelector:
      matchLabels:
        cluster-role: control-plane
  network_interfaces:
    ens3:
      type: phy
    ens4:
      type: phy
  rke2:
    additionalUserData:
      config:
        users:
          - name: ubuntu
            groups: users
            sudo: ALL=(ALL) NOPASSWD:ALL
            shell: /bin/bash
            lock_passwd: false

enable_longhorn: true

capm3:
  machine_image_url: "http://11.11.11.11/ubuntu-jammy-plain-rke2-1.26.9.raw"
  machine_image_format: raw
  machine_image_checksum: "http://11.11.11.11/ubuntu-jammy-plain-rke2-1.26.9.raw.sha256sum"
  machine_image_checksum_type: sha256
  primary_pool_name: "primary-pool"
  primary_pool_network: 192.168.130.0
  primary_pool_gateway: 192.168.130.1
  primary_pool_start: 192.168.130.100
  primary_pool_end: 192.168.130.120
  primary_pool_prefix: "24"
  provisioning_pool_name: "provisioning-pool"
  provisioning_pool_network: 192.168.133.0
  provisioning_pool_gateway: 192.168.133.1
  provisioning_pool_start: 192.168.133.100
  provisioning_pool_end: 192.168.133.120
  provisioning_pool_prefix: "24"
  dns_servers:
  - 192.168.130.1
baremetal_hosts:
  server1:
    credentials:
      username: to_be_defined
      password: to_be_defined
    bmh_metadata:
      labels:
        cluster-role: control-plane
    bmh_spec:
      description: Mgmt Ctrl Plane
      online: true
      externallyProvisioned: false
      bmc:
        address: redfish-virtualmedia://192.168.133.1:5000/redfish/v1/Systems/bmh-1
        disableCertificateVerification: true
      automatedCleaningMode: metadata
      bootMACAddress: 52:54:00:01:00:01
      bootMode: legacy
      rootDeviceHints:
        deviceName: /dev/vda
  server2:
    longhorn_disk_config:
      - path: "/var/longhorn/disks/disk_by-path_pci-0000:18:00.0-scsi-0:3:111:0"
        storageReserved: 0
        allowScheduling: true
        tags:
          - ssd
          - fast
      - path: "/var/longhorn/disks/sde"
        storageReserved: 0
        allowScheduling: true
        tags:
          - hdd
          - slow
    credentials:
      username: to_be_defined
      password: to_be_defined
    bmh_metadata:
      labels:
        cluster-role: worker
    bmh_spec:
      description: Mgmt worker
      online: true
      externallyProvisioned: false
      bmc:
        address: redfish-virtualmedia://192.168.133.1:5000/redfish/v1/Systems/bmh-2
        disableCertificateVerification: true
      automatedCleaningMode: metadata
      bootMACAddress: 52:54:00:01:00:02
      bootMode: legacy
      rootDeviceHints:
        deviceName: /dev/vda
    ip_preallocations:
      primary: 192.168.130.105
      provisioning: 192.168.133.105

machine_deployments:
  md0:
    replicas: 1
    capm3:
      hostSelector:
        matchLabels:
          cluster-role: worker
      failure_domain: region0
      provisioning_pool_interface: ens3
      primary_pool_interface: ens4
    network_interfaces:
      ens3:
        type: phy
      ens4:
        type: phy

default_node_class: test_capm3_rke2
node_classes:
  test_capm3_rke2:
    non_hugepages_minimum_memory_gb: 2
    kernel_cmdline:
      hugepages:
        enabled: true
        hugepagesz_2M: 1024
        hugepagesz_1G: 32
        default_size: 1G
      extra_options: ""
    kubelet_extra_args:
      topology-manager-policy: none
      topology-manager-scope: container
    # kubelet_config_file_options: {}
    kubelet_config_file_options:
      kubeReserved:
        cpu: "200m"
        memory: "500Mi"
      systemReserved:
        cpu: "200m"
        memory: "500Mi"
    nodeTaints: {}
    nodeLabels:
      sylva.org/annotate-node-label-sriov: true
    nodeAnnotations: {}
    additional_commands:
      pre_bootstrap_commands:
        - echo 'pre' > /pre
      post_bootstrap_commands:
        - echo 'post' > /post
